#include <iostream>
#include "stitching/stitching.h"
#include "tracking/Tracking.h"
#include "panning/writeClippedVideo.h"

int main(int argc, char* argv[]) {
	// Stitching
	int return_value = stitch(argc, argv); // saves as stitchedVideo.mp4

	// Tracking
	std::string tracker_output_filename = "tracking_output.txt";
	std::string stitched_video_filename = "stitchedVideo.mp4";

	std::ofstream tracker_output_file(tracker_output_filename);
	Tracking *tracker = new Tracking(stitched_video_filename, &tracker_output_file, false); // true/false to show processing or not
	tracker->track();

	// Panning
	std::string panning_output_filename = "outputVideo.avi";

	return_value = writeClippedVideo(stitched_video_filename, panning_output_filename, tracker_output_filename);
}
